﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace MyEntitiLab
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class EF_Model : DbContext
    {
        public EF_Model()
            : base("name=EF_Model")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Album> Album { get; set; }
        public virtual DbSet<Artist> Artist { get; set; }
        public virtual DbSet<AUDIT> AUDIT { get; set; }
        public virtual DbSet<COUNTRY> COUNTRY { get; set; }
        public virtual DbSet<CUSTOMER> CUSTOMER { get; set; }
        public virtual DbSet<Employee> Employee { get; set; }
        public virtual DbSet<Genre> Genre { get; set; }
        public virtual DbSet<MediaType> MediaType { get; set; }
        public virtual DbSet<Playlist> Playlist { get; set; }
        public virtual DbSet<Student> Student { get; set; }
        public virtual DbSet<Track> Track { get; set; }
        public virtual DbSet<VCustomer> VCustomer { get; set; }
    
        public virtual ObjectResult<getCustomer_Result> getCustomer(string pCountryCode)
        {
            var pCountryCodeParameter = pCountryCode != null ?
                new ObjectParameter("pCountryCode", pCountryCode) :
                new ObjectParameter("pCountryCode", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<getCustomer_Result>("getCustomer", pCountryCodeParameter);
        }
    
        public virtual int insertCustomer(string pCustomerID, string pName, string pEmail, string pCountryCode, Nullable<decimal> pBudget, Nullable<decimal> pUsed)
        {
            var pCustomerIDParameter = pCustomerID != null ?
                new ObjectParameter("pCustomerID", pCustomerID) :
                new ObjectParameter("pCustomerID", typeof(string));
    
            var pNameParameter = pName != null ?
                new ObjectParameter("pName", pName) :
                new ObjectParameter("pName", typeof(string));
    
            var pEmailParameter = pEmail != null ?
                new ObjectParameter("pEmail", pEmail) :
                new ObjectParameter("pEmail", typeof(string));
    
            var pCountryCodeParameter = pCountryCode != null ?
                new ObjectParameter("pCountryCode", pCountryCode) :
                new ObjectParameter("pCountryCode", typeof(string));
    
            var pBudgetParameter = pBudget.HasValue ?
                new ObjectParameter("pBudget", pBudget) :
                new ObjectParameter("pBudget", typeof(decimal));
    
            var pUsedParameter = pUsed.HasValue ?
                new ObjectParameter("pUsed", pUsed) :
                new ObjectParameter("pUsed", typeof(decimal));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("insertCustomer", pCustomerIDParameter, pNameParameter, pEmailParameter, pCountryCodeParameter, pBudgetParameter, pUsedParameter);
        }
    }
}
